- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IListControlAdapter
TActiveButton
TActiveCheckBox
TActiveCheckBoxList
TActiveControlAdapter
TActiveCustomValidator
TActiveCustomValidatorClientSide
TActiveDatePicker
TActiveDropDownList
TActiveHiddenField
TActiveHyperLink
TActiveImage
TActiveImageButton
TActiveLabel
TActiveLinkButton
TActiveListBox
TActiveListControlAdapter
TActiveListItemCollection
TActivePageAdapter
TActivePager
TActivePanel
TActiveRadioButton
TActiveRadioButtonList
TActiveRatingList
TActiveTextBox
TAutoComplete
TAutoCompleteEventParameter
TAutoCompleteTemplate
TBaseActiveCallbackControl
TBaseActiveControl
TCallback
TCallbackClientScript
TCallbackClientSide
TCallbackErrorHandler
TCallbackEventParameter
TCallbackOptions
TCallbackPageStateTracker
TCallbackResponseAdapter
TCallbackResponseWriter
TEventTriggeredCallback
TInPlaceTextBox
TInvalidCallbackException
TMapCollectionDiff
TScalarDiff
TStyleDiff
TTimeTriggeredCallback
TTriggeredCallback
TValueTriggeredCallback
TViewStateDiff

Keyword

# Class TCallbackPageStateTracker

TCallbackPageStateTracker class.

Tracking changes to the page state during callback.

Since: 3.1
Author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Constructor Summary
public | __construct Array Constructor. Add a set of default states to track.

Method Summary
protected void | addStatesToTrack () Add a list of view states to track. Each state is added to the StatesToTrack property with the view state name as key.
protected TCallbackClientScript | client ()
protected void | getChanges ()
protected TMap | getStatesToTrack ()
void | respondToChanges () For each of the changes call the corresponding change handlers.
void | trackChanges () Start tracking view state changes. The clone function on objects are called for those viewstate having an object as value.
protected void | updateAccessKey ( string $value) Updates the modifier access key
protected void | updateAttributes ( array $attributes) Updates/adds a list of attributes on the control.
protected void | updateEnabled ( boolean $enable) Enables or Disables the control on the client-side.
protected void | updateStyle ( array $style) Updates the CSS style on the control on the client-side.
protected void | updateTabIndex ( integer $value) Updates the tab index.
protected void | updateToolTip ( string $value) Updates the tooltip.
protected void | updateVisible ( boolean $visible) Hides or shows the control on the client-side. The control must be already rendered on the client-side.

Constructor Details

## __construct

public __construct | Array

Constructor. Add a set of default states to track.

Method Details

## addStatesToTrack

protected void addStatesToTrack | ()

Add a list of view states to track. Each state is added to the StatesToTrack property with the view state name as key.

The value should be an array with two enteries. The first entery is the name of the class that will calculate the state differences. The second entry is a php function/method callback that handles the changes in the viewstate.

Output
Exception

## client

protected TCallbackClientScript client | ()

Output
TCallbackClientScript | callback client scripting
Exception

## getChanges

protected void getChanges | ()

Output
Exception

## getStatesToTrack

protected TMap getStatesToTrack | ()

Output
TMap | list of viewstates to track.
Exception

## respondToChanges

public void respondToChanges | ()

For each of the changes call the corresponding change handlers.

Output
Exception

## trackChanges

public void trackChanges | ()

Start tracking view state changes. The clone function on objects are called for those viewstate having an object as value.

Output
Exception

## updateAccessKey

protected void updateAccessKey | (string $value )

Updates the modifier access key

Input
string | $value | access key
Output
Exception

## updateAttributes

protected void updateAttributes | (array $attributes )

Updates/adds a list of attributes on the control.

Input
array | $attributes | list of attribute name-value pairs.
Output
Exception

## updateEnabled

protected void updateEnabled | (boolean $enable )

Enables or Disables the control on the client-side.

Input
boolean | $enable | true to enable the control, false to disable.
Output
Exception

## updateStyle

protected void updateStyle | (array $style )

Updates the CSS style on the control on the client-side.

Input
array | $style | list of new CSS style declarations.
Output
Exception

## updateTabIndex

protected void updateTabIndex | (integer $value )

Updates the tab index.

Input
integer | $value | tab index
Output
Exception

## updateToolTip

protected void updateToolTip | (string $value )

Updates the tooltip.

Input
string | $value | new tooltip
Output
Exception

## updateVisible

protected void updateVisible | (boolean $visible )

Hides or shows the control on the client-side. The control must be already rendered on the client-side.

Input
boolean | $visible | true to show the control, false to hide.
Output
Exception